Solved

Problem with Eclipse 3.0

Posted on 2004-10-15
21
395 Views
Last Modified: 2008-02-01
I have been running Eclipse 3.0 for a week or two now and all of a sudden it has stopped working as normal.
When I attempt to run the program, I get a message box saying...
"An error has occurred. See the log file C:\eclipse\configuration\1097832051608.log"

Here are the contents of the log file...

!SESSION Oct 15, 2004 19:20:53.624 ---------------------------------------------
eclipse.buildId=M200409161125
java.version=1.5.0
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_AU

!ENTRY initial@reference:file:c:/Eclipse/plugins/org.eclipse.update.configurator_3.0.0/ 0 0 Oct 15, 2004 19:20:53.624
!MESSAGE FrameworkEvent.ERROR
!STACK 0
org.osgi.framework.BundleException: Exception in org.eclipse.update.internal.configurator.ConfigurationActivator.start() of bundle org.eclipse.update.configurator.
      at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextImpl.java:975)
      at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleContextImpl.java:937)
      at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:421)
      at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:366)
      at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:999)
      at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:577)
      at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:488)
      at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:273)
      at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:444)
      at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:186)
      at org.eclipse.osgi.framework.eventmgr.EventThread.run(EventThread.java:104)
Caused by: org.eclipse.core.runtime.CoreException: Cannot create configuration in file:/c:/Eclipse/configuration/
      at org.eclipse.update.internal.configurator.Utils.newCoreException(Utils.java:66)
      at org.eclipse.update.internal.configurator.ConfigurationActivator.initialize(ConfigurationActivator.java:110)
      at org.eclipse.update.internal.configurator.ConfigurationActivator.start(ConfigurationActivator.java:71)
      at org.eclipse.osgi.framework.internal.core.BundleContextImpl$1.run(BundleContextImpl.java:958)
      at java.security.AccessController.doPrivileged(Native Method)
      at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextImpl.java:954)
      ... 10 more
Root exception:
org.eclipse.core.runtime.CoreException: Cannot create configuration in file:/c:/Eclipse/configuration/
      at org.eclipse.update.internal.configurator.Utils.newCoreException(Utils.java:66)
      at org.eclipse.update.internal.configurator.ConfigurationActivator.initialize(ConfigurationActivator.java:110)
      at org.eclipse.update.internal.configurator.ConfigurationActivator.start(ConfigurationActivator.java:71)
      at org.eclipse.osgi.framework.internal.core.BundleContextImpl$1.run(BundleContextImpl.java:958)
      at java.security.AccessController.doPrivileged(Native Method)
      at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextImpl.java:954)
      at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleContextImpl.java:937)
      at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:421)
      at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:366)
      at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:999)
      at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:577)
      at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:488)
      at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:273)
      at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:444)
      at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:186)
      at org.eclipse.osgi.framework.eventmgr.EventThread.run(EventThread.java:104)

!ENTRY org.eclipse.osgi Oct 15, 2004 19:20:53.671
!MESSAGE Startup error
!STACK 1
java.lang.IllegalStateException: Bundle initial@reference:file:c:/Eclipse/plugins/org.eclipse.update.configurator_3.0.0/ [2] is not active.
      at org.eclipse.core.runtime.adaptor.EclipseStarter.ensureBundlesActive(EclipseStarter.java:303)
      at org.eclipse.core.runtime.adaptor.EclipseStarter.startup(EclipseStarter.java:227)
      at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:127)
      at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
      at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
      at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
      at java.lang.reflect.Method.invoke(Method.java:585)
      at org.eclipse.core.launcher.Main.basicRun(Main.java:185)
      at org.eclipse.core.launcher.Main.run(Main.java:704)
      at org.eclipse.core.launcher.Main.main(Main.java:688)

I have also tried creating a separate folder containing Eclipse with all the default settings. (I unzipped this from a backed up file)
When I tried running the newly created Eclipse, this made the same error however the contents of the log file was different.

Here is what the second log contained...

!SESSION Oct 15, 2004 19:25:05.968 ---------------------------------------------
eclipse.buildId=M200409161125
java.version=1.5.0
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_AU

!ENTRY org.eclipse.osgi Oct 15, 2004 19:25:05.968
!MESSAGE parse.error
!STACK 0
org.xml.sax.SAXParseException: URI was not reported to parser for entity [document]
      at gnu.xml.aelfred2.SAXDriver.warn(SAXDriver.java:934)
      at gnu.xml.aelfred2.SAXDriver.startExternalEntity(SAXDriver.java:631)
      at gnu.xml.aelfred2.XmlParser.pushURL(XmlParser.java:3358)
      at gnu.xml.aelfred2.XmlParser.doParse(XmlParser.java:159)
      at gnu.xml.aelfred2.SAXDriver.parse(SAXDriver.java:320)
      at gnu.xml.aelfred2.XmlReader.parse(XmlReader.java:294)
      at javax.xml.parsers.SAXParser.parse(SAXParser.java:375)
      at javax.xml.parsers.SAXParser.parse(SAXParser.java:176)
      at org.eclipse.core.runtime.adaptor.PluginParser.parsePlugin(PluginParser.java:459)
      at org.eclipse.core.runtime.adaptor.PluginConverterImpl.parsePluginInfo(PluginConverterImpl.java:557)
      at org.eclipse.core.runtime.adaptor.PluginConverterImpl.fillPluginInfo(PluginConverterImpl.java:111)
      at org.eclipse.core.runtime.adaptor.PluginConverterImpl.convertManifest(PluginConverterImpl.java:660)
      at org.eclipse.core.runtime.adaptor.EclipseBundleData.generateManifest(EclipseBundleData.java:233)
      at org.eclipse.core.runtime.adaptor.EclipseBundleData.loadManifest(EclipseBundleData.java:191)
      at org.eclipse.core.runtime.adaptor.EclipseBundleData.getManifest(EclipseBundleData.java:159)
      at org.eclipse.core.runtime.adaptor.EclipseBundleData.loadFromManifest(EclipseBundleData.java:280)
      at org.eclipse.osgi.framework.internal.defaultadaptor.DefaultBundleData.initializeNewBundle(DefaultBundleData.java:77)
      at org.eclipse.osgi.framework.internal.defaultadaptor.DefaultAdaptor$1.begin(DefaultAdaptor.java:451)
      at org.eclipse.osgi.framework.internal.core.Framework.installWorkerPrivileged(Framework.java:746)
      at org.eclipse.osgi.framework.internal.core.Framework$2.run(Framework.java:664)
      at java.security.AccessController.doPrivileged(Native Method)
      at org.eclipse.osgi.framework.internal.core.Framework.installWorker(Framework.java:715)
      at org.eclipse.osgi.framework.internal.core.Framework.installBundle(Framework.java:659)
      at org.eclipse.osgi.framework.internal.core.BundleContextImpl.installBundle(BundleContextImpl.java:219)
      at org.eclipse.core.runtime.adaptor.EclipseStarter.installBundles(EclipseStarter.java:800)
      at org.eclipse.core.runtime.adaptor.EclipseStarter.loadBasicBundles(EclipseStarter.java:429)
      at org.eclipse.core.runtime.adaptor.EclipseStarter.startup(EclipseStarter.java:222)
      at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:127)
      at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
      at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
      at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
      at java.lang.reflect.Method.invoke(Method.java:585)
      at org.eclipse.core.launcher.Main.basicRun(Main.java:185)
      at org.eclipse.core.launcher.Main.run(Main.java:704)
      at org.eclipse.core.launcher.Main.main(Main.java:688)

!ENTRY org.eclipse.core.runtime 2 1 Oct 15, 2004 19:25:06.327
!MESSAGE Problems parsing plug-in manifest for: "initial@reference:file:c:/Documents and Settings/Adam/Desktop/eclipseTest/eclipse/plugins/org.eclipse.core.runtime_3.0.1/".
!SUBENTRY 1 org.eclipse.core.runtime 2 1 Oct 15, 2004 19:25:06.327
!MESSAGE Parsing error in "plugin.xml" [line 1, column 0]: "URI was not reported to parser for entity [document]".
!STACK 0
org.xml.sax.SAXParseException: URI was not reported to parser for entity [document]
      at gnu.xml.aelfred2.SAXDriver.warn(SAXDriver.java:934)
      at gnu.xml.aelfred2.SAXDriver.startExternalEntity(SAXDriver.java:631)
      at gnu.xml.aelfred2.XmlParser.pushURL(XmlParser.java:3358)
      at gnu.xml.aelfred2.XmlParser.doParse(XmlParser.java:159)
      at gnu.xml.aelfred2.SAXDriver.parse(SAXDriver.java:320)
      at gnu.xml.aelfred2.XmlReader.parse(XmlReader.java:294)
      at javax.xml.parsers.SAXParser.parse(SAXParser.java:375)
      at org.eclipse.core.internal.registry.ExtensionsParser.parseManifest(ExtensionsParser.java:376)
      at org.eclipse.core.internal.registry.EclipseBundleListener.getBundleModel(EclipseBundleListener.java:144)
      at org.eclipse.core.internal.registry.EclipseBundleListener.addBundle(EclipseBundleListener.java:100)
      at org.eclipse.core.internal.registry.EclipseBundleListener.processBundles(EclipseBundleListener.java:81)
      at org.eclipse.core.internal.runtime.PlatformActivator.startRegistry(PlatformActivator.java:153)
      at org.eclipse.core.internal.runtime.PlatformActivator.start(PlatformActivator.java:65)
      at org.eclipse.osgi.framework.internal.core.BundleContextImpl$1.run(BundleContextImpl.java:958)
      at java.security.AccessController.doPrivileged(Native Method)
      at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextImpl.java:954)
      at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleContextImpl.java:937)
      at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:421)
      at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:366)
      at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:999)
      at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:577)
      at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:488)
      at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:273)
      at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:444)
      at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:186)
      at org.eclipse.osgi.framework.eventmgr.EventThread.run(EventThread.java:104)

!ENTRY org.eclipse.core.runtime 2 1 Oct 15, 2004 19:25:06.358
!MESSAGE Problems parsing plug-in manifest for: "initial@reference:file:c:/Documents and Settings/Adam/Desktop/eclipseTest/eclipse/plugins/org.eclipse.update.configurator_3.0.0/".
!SUBENTRY 1 org.eclipse.core.runtime 2 1 Oct 15, 2004 19:25:06.358
!MESSAGE Parsing error in "plugin.xml" [line 1, column 0]: "URI was not reported to parser for entity [document]".
!STACK 0
org.xml.sax.SAXParseException: URI was not reported to parser for entity [document]
      at gnu.xml.aelfred2.SAXDriver.warn(SAXDriver.java:934)
      at gnu.xml.aelfred2.SAXDriver.startExternalEntity(SAXDriver.java:631)
      at gnu.xml.aelfred2.XmlParser.pushURL(XmlParser.java:3358)
      at gnu.xml.aelfred2.XmlParser.doParse(XmlParser.java:159)
      at gnu.xml.aelfred2.SAXDriver.parse(SAXDriver.java:320)
      at gnu.xml.aelfred2.XmlReader.parse(XmlReader.java:294)
      at javax.xml.parsers.SAXParser.parse(SAXParser.java:375)
      at org.eclipse.core.internal.registry.ExtensionsParser.parseManifest(ExtensionsParser.java:376)
      at org.eclipse.core.internal.registry.EclipseBundleListener.getBundleModel(EclipseBundleListener.java:144)
      at org.eclipse.core.internal.registry.EclipseBundleListener.addBundle(EclipseBundleListener.java:100)
      at org.eclipse.core.internal.registry.EclipseBundleListener.processBundles(EclipseBundleListener.java:81)
      at org.eclipse.core.internal.runtime.PlatformActivator.startRegistry(PlatformActivator.java:153)
      at org.eclipse.core.internal.runtime.PlatformActivator.start(PlatformActivator.java:65)
      at org.eclipse.osgi.framework.internal.core.BundleContextImpl$1.run(BundleContextImpl.java:958)
      at java.security.AccessController.doPrivileged(Native Method)
      at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextImpl.java:954)
      at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleContextImpl.java:937)
      at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:421)
      at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:366)
      at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:999)
      at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:577)
      at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:488)
      at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:273)
      at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:444)
      at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:186)
      at org.eclipse.osgi.framework.eventmgr.EventThread.run(EventThread.java:104)

!ENTRY initial@reference:file:c:/Documents and Settings/Adam/Desktop/eclipseTest/eclipse/plugins/org.eclipse.update.configurator_3.0.0/ 0 0 Oct 15, 2004 19:25:06.561
!MESSAGE FrameworkEvent.ERROR
!STACK 0
org.osgi.framework.BundleException: Exception in org.eclipse.update.internal.configurator.ConfigurationActivator.start() of bundle org.eclipse.update.configurator.
      at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextImpl.java:975)
      at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleContextImpl.java:937)
      at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:421)
      at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:366)
      at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:999)
      at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:577)
      at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:488)
      at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:273)
      at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:444)
      at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:186)
      at org.eclipse.osgi.framework.eventmgr.EventThread.run(EventThread.java:104)
Caused by: org.eclipse.core.runtime.CoreException: Cannot create configuration in file:/c:/Documents and Settings/Adam/Desktop/eclipseTest/eclipse/configuration/
      at org.eclipse.update.internal.configurator.Utils.newCoreException(Utils.java:66)
      at org.eclipse.update.internal.configurator.ConfigurationActivator.initialize(ConfigurationActivator.java:110)
      at org.eclipse.update.internal.configurator.ConfigurationActivator.start(ConfigurationActivator.java:71)
      at org.eclipse.osgi.framework.internal.core.BundleContextImpl$1.run(BundleContextImpl.java:958)
      at java.security.AccessController.doPrivileged(Native Method)
      at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextImpl.java:954)
      ... 10 more
Root exception:
org.eclipse.core.runtime.CoreException: Cannot create configuration in file:/c:/Documents and Settings/Adam/Desktop/eclipseTest/eclipse/configuration/
      at org.eclipse.update.internal.configurator.Utils.newCoreException(Utils.java:66)
      at org.eclipse.update.internal.configurator.ConfigurationActivator.initialize(ConfigurationActivator.java:110)
      at org.eclipse.update.internal.configurator.ConfigurationActivator.start(ConfigurationActivator.java:71)
      at org.eclipse.osgi.framework.internal.core.BundleContextImpl$1.run(BundleContextImpl.java:958)
      at java.security.AccessController.doPrivileged(Native Method)
      at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextImpl.java:954)
      at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleContextImpl.java:937)
      at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:421)
      at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:366)
      at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:999)
      at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:577)
      at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:488)
      at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:273)
      at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:444)
      at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:186)
      at org.eclipse.osgi.framework.eventmgr.EventThread.run(EventThread.java:104)

!ENTRY org.eclipse.osgi Oct 15, 2004 19:25:06.608
!MESSAGE Startup error
!STACK 1
java.lang.IllegalStateException: Bundle initial@reference:file:c:/Documents and Settings/Adam/Desktop/eclipseTest/eclipse/plugins/org.eclipse.update.configurator_3.0.0/ [2] is not active.
      at org.eclipse.core.runtime.adaptor.EclipseStarter.ensureBundlesActive(EclipseStarter.java:303)
      at org.eclipse.core.runtime.adaptor.EclipseStarter.startup(EclipseStarter.java:227)
      at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:127)
      at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
      at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
      at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
      at java.lang.reflect.Method.invoke(Method.java:585)
      at org.eclipse.core.launcher.Main.basicRun(Main.java:185)
      at org.eclipse.core.launcher.Main.run(Main.java:704)
      at org.eclipse.core.launcher.Main.main(Main.java:688)

If worse comes to worse, I can easily use another IDE but things like this happen for some reason or another, I just can't figure out why.

Any suggestions on what I can do or info on what might have caused the problem will be greatly appreciated.
I'm too young to be going bald from stress ;-)

Cheers

-OBCT
0
Comment
Question by:OBCT
  • 7
  • 4
  • 4
  • +4
21 Comments
 
LVL 21

Expert Comment

by:MogalManic
ID: 12317452
Did you check the easy stuff?  Is you HD full?  Can you manually create a file in c:\eclipse\configuration?

You could TRY this.  I don't know if it will work in your situation.

Rename the configuration directory
Eclipse will think you JUST installed eclipse and reinstall itself.
Compare old and New config directories
0
 
LVL 3

Expert Comment

by:aviadbd
ID: 12317817

Maybe its some plugin you installed that trashed it.
Try renaming configuration directory, and try to move any plugins you installed from the plugins and features directories as well.

AviadBD.
0
 
LVL 9

Author Comment

by:OBCT
ID: 12318194
I just tried your suggestions and what is happening is exactly the same as when I tried re-installing from a zip file (The zip is straight from Eclipse.org).

What's really bugging me is that what ever caused the problem has somehow had an effect on any other Eclipse I try to install.
This makes me think the problem lies outside the eclipse directory(s).

My hard drive isn't full, I've got about 15gig free.
I can also create a file manually in C:\eclipse\configuration\
0
 
LVL 21

Assisted Solution

by:MogalManic
MogalManic earned 125 total points
ID: 12318271
Is you JRE corrupted?  Try reinstalling that.
0
 
LVL 9

Author Comment

by:OBCT
ID: 12319038
I just re-installed my JRE and JDK and I'm still having the same problem.
0
 
LVL 7

Assisted Solution

by:bvanderveen
bvanderveen earned 125 total points
ID: 12320663
Look at your shortcut for starting Eclipse.  

Mine has the target:
   C:\eclipse_new\eclipse\eclipse.exe -vm C:\j2sdk1.4.2_04\jre\bin\javaw -vmargs -Xmx256M

and executable:
   C:\eclipse_new\eclipse

If I remember right, I had to specify the Vm and the parameters, or I got similar errors.
0
 
LVL 9

Author Comment

by:OBCT
ID: 12321374
It's still giving me this bloody error.
I just realized that this has happened since I installed a plugin. Since then, it's been totally removed.
All I did was unzip it into the plugins directory then ran Eclipse. How could this possibly have an effect on all Eclipse IDE's installed?

This is the log from the new Eclipse that didn't have the plugin installed.


!SESSION Oct 15, 2004 19:25:05.968 ---------------------------------------------
eclipse.buildId=M200409161125
java.version=1.5.0
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_AU

!ENTRY org.eclipse.osgi Oct 15, 2004 19:25:05.968
!MESSAGE parse.error
!STACK 0
org.xml.sax.SAXParseException: URI was not reported to parser for entity [document]
     at gnu.xml.aelfred2.SAXDriver.warn(SAXDriver.java:934)
     at gnu.xml.aelfred2.SAXDriver.startExternalEntity(SAXDriver.java:631)
     at gnu.xml.aelfred2.XmlParser.pushURL(XmlParser.java:3358)
     at gnu.xml.aelfred2.XmlParser.doParse(XmlParser.java:159)
     at gnu.xml.aelfred2.SAXDriver.parse(SAXDriver.java:320)
     at gnu.xml.aelfred2.XmlReader.parse(XmlReader.java:294)
     at javax.xml.parsers.SAXParser.parse(SAXParser.java:375)
     at javax.xml.parsers.SAXParser.parse(SAXParser.java:176)
     at org.eclipse.core.runtime.adaptor.PluginParser.parsePlugin(PluginParser.java:459)
     at org.eclipse.core.runtime.adaptor.PluginConverterImpl.parsePluginInfo(PluginConverterImpl.java:557)
     at org.eclipse.core.runtime.adaptor.PluginConverterImpl.fillPluginInfo(PluginConverterImpl.java:111)
     at org.eclipse.core.runtime.adaptor.PluginConverterImpl.convertManifest(PluginConverterImpl.java:660)
     at org.eclipse.core.runtime.adaptor.EclipseBundleData.generateManifest(EclipseBundleData.java:233)
     at org.eclipse.core.runtime.adaptor.EclipseBundleData.loadManifest(EclipseBundleData.java:191)
     at org.eclipse.core.runtime.adaptor.EclipseBundleData.getManifest(EclipseBundleData.java:159)
     at org.eclipse.core.runtime.adaptor.EclipseBundleData.loadFromManifest(EclipseBundleData.java:280)
     at org.eclipse.osgi.framework.internal.defaultadaptor.DefaultBundleData.initializeNewBundle(DefaultBundleData.java:77)
     at org.eclipse.osgi.framework.internal.defaultadaptor.DefaultAdaptor$1.begin(DefaultAdaptor.java:451)
     at org.eclipse.osgi.framework.internal.core.Framework.installWorkerPrivileged(Framework.java:746)
     at org.eclipse.osgi.framework.internal.core.Framework$2.run(Framework.java:664)
     at java.security.AccessController.doPrivileged(Native Method)
     at org.eclipse.osgi.framework.internal.core.Framework.installWorker(Framework.java:715)
     at org.eclipse.osgi.framework.internal.core.Framework.installBundle(Framework.java:659)
     at org.eclipse.osgi.framework.internal.core.BundleContextImpl.installBundle(BundleContextImpl.java:219)
     at org.eclipse.core.runtime.adaptor.EclipseStarter.installBundles(EclipseStarter.java:800)
     at org.eclipse.core.runtime.adaptor.EclipseStarter.loadBasicBundles(EclipseStarter.java:429)
     at org.eclipse.core.runtime.adaptor.EclipseStarter.startup(EclipseStarter.java:222)
     at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:127)
     at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
     at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
     at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
     at java.lang.reflect.Method.invoke(Method.java:585)
     at org.eclipse.core.launcher.Main.basicRun(Main.java:185)
     at org.eclipse.core.launcher.Main.run(Main.java:704)
     at org.eclipse.core.launcher.Main.main(Main.java:688)

!ENTRY org.eclipse.core.runtime 2 1 Oct 15, 2004 19:25:06.327
!MESSAGE Problems parsing plug-in manifest for: "initial@reference:file:c:/Documents and Settings/Adam/Desktop/eclipseTest/eclipse/plugins/org.eclipse.core.runtime_3.0.1/".
!SUBENTRY 1 org.eclipse.core.runtime 2 1 Oct 15, 2004 19:25:06.327
!MESSAGE Parsing error in "plugin.xml" [line 1, column 0]: "URI was not reported to parser for entity [document]".
!STACK 0
org.xml.sax.SAXParseException: URI was not reported to parser for entity [document]
     at gnu.xml.aelfred2.SAXDriver.warn(SAXDriver.java:934)
     at gnu.xml.aelfred2.SAXDriver.startExternalEntity(SAXDriver.java:631)
     at gnu.xml.aelfred2.XmlParser.pushURL(XmlParser.java:3358)
     at gnu.xml.aelfred2.XmlParser.doParse(XmlParser.java:159)
     at gnu.xml.aelfred2.SAXDriver.parse(SAXDriver.java:320)
     at gnu.xml.aelfred2.XmlReader.parse(XmlReader.java:294)
     at javax.xml.parsers.SAXParser.parse(SAXParser.java:375)
     at org.eclipse.core.internal.registry.ExtensionsParser.parseManifest(ExtensionsParser.java:376)
     at org.eclipse.core.internal.registry.EclipseBundleListener.getBundleModel(EclipseBundleListener.java:144)
     at org.eclipse.core.internal.registry.EclipseBundleListener.addBundle(EclipseBundleListener.java:100)
     at org.eclipse.core.internal.registry.EclipseBundleListener.processBundles(EclipseBundleListener.java:81)
     at org.eclipse.core.internal.runtime.PlatformActivator.startRegistry(PlatformActivator.java:153)
     at org.eclipse.core.internal.runtime.PlatformActivator.start(PlatformActivator.java:65)
     at org.eclipse.osgi.framework.internal.core.BundleContextImpl$1.run(BundleContextImpl.java:958)
     at java.security.AccessController.doPrivileged(Native Method)
     at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextImpl.java:954)
     at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleContextImpl.java:937)
     at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:421)
     at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:366)
     at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:999)
     at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:577)
     at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:488)
     at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:273)
     at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:444)
     at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:186)
     at org.eclipse.osgi.framework.eventmgr.EventThread.run(EventThread.java:104)

!ENTRY org.eclipse.core.runtime 2 1 Oct 15, 2004 19:25:06.358
!MESSAGE Problems parsing plug-in manifest for: "initial@reference:file:c:/Documents and Settings/Adam/Desktop/eclipseTest/eclipse/plugins/org.eclipse.update.configurator_3.0.0/".
!SUBENTRY 1 org.eclipse.core.runtime 2 1 Oct 15, 2004 19:25:06.358
!MESSAGE Parsing error in "plugin.xml" [line 1, column 0]: "URI was not reported to parser for entity [document]".
!STACK 0
org.xml.sax.SAXParseException: URI was not reported to parser for entity [document]
     at gnu.xml.aelfred2.SAXDriver.warn(SAXDriver.java:934)
     at gnu.xml.aelfred2.SAXDriver.startExternalEntity(SAXDriver.java:631)
     at gnu.xml.aelfred2.XmlParser.pushURL(XmlParser.java:3358)
     at gnu.xml.aelfred2.XmlParser.doParse(XmlParser.java:159)
     at gnu.xml.aelfred2.SAXDriver.parse(SAXDriver.java:320)
     at gnu.xml.aelfred2.XmlReader.parse(XmlReader.java:294)
     at javax.xml.parsers.SAXParser.parse(SAXParser.java:375)
     at org.eclipse.core.internal.registry.ExtensionsParser.parseManifest(ExtensionsParser.java:376)
     at org.eclipse.core.internal.registry.EclipseBundleListener.getBundleModel(EclipseBundleListener.java:144)
     at org.eclipse.core.internal.registry.EclipseBundleListener.addBundle(EclipseBundleListener.java:100)
     at org.eclipse.core.internal.registry.EclipseBundleListener.processBundles(EclipseBundleListener.java:81)
     at org.eclipse.core.internal.runtime.PlatformActivator.startRegistry(PlatformActivator.java:153)
     at org.eclipse.core.internal.runtime.PlatformActivator.start(PlatformActivator.java:65)
     at org.eclipse.osgi.framework.internal.core.BundleContextImpl$1.run(BundleContextImpl.java:958)
     at java.security.AccessController.doPrivileged(Native Method)
     at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextImpl.java:954)
     at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleContextImpl.java:937)
     at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:421)
     at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:366)
     at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:999)
     at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:577)
     at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:488)
     at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:273)
     at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:444)
     at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:186)
     at org.eclipse.osgi.framework.eventmgr.EventThread.run(EventThread.java:104)

!ENTRY initial@reference:file:c:/Documents and Settings/Adam/Desktop/eclipseTest/eclipse/plugins/org.eclipse.update.configurator_3.0.0/ 0 0 Oct 15, 2004 19:25:06.561
!MESSAGE FrameworkEvent.ERROR
!STACK 0
org.osgi.framework.BundleException: Exception in org.eclipse.update.internal.configurator.ConfigurationActivator.start() of bundle org.eclipse.update.configurator.
     at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextImpl.java:975)
     at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleContextImpl.java:937)
     at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:421)
     at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:366)
     at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:999)
     at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:577)
     at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:488)
     at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:273)
     at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:444)
     at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:186)
     at org.eclipse.osgi.framework.eventmgr.EventThread.run(EventThread.java:104)
Caused by: org.eclipse.core.runtime.CoreException: Cannot create configuration in file:/c:/Documents and Settings/Adam/Desktop/eclipseTest/eclipse/configuration/
     at org.eclipse.update.internal.configurator.Utils.newCoreException(Utils.java:66)
     at org.eclipse.update.internal.configurator.ConfigurationActivator.initialize(ConfigurationActivator.java:110)
     at org.eclipse.update.internal.configurator.ConfigurationActivator.start(ConfigurationActivator.java:71)
     at org.eclipse.osgi.framework.internal.core.BundleContextImpl$1.run(BundleContextImpl.java:958)
     at java.security.AccessController.doPrivileged(Native Method)
     at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextImpl.java:954)
     ... 10 more
Root exception:
org.eclipse.core.runtime.CoreException: Cannot create configuration in file:/c:/Documents and Settings/Adam/Desktop/eclipseTest/eclipse/configuration/
     at org.eclipse.update.internal.configurator.Utils.newCoreException(Utils.java:66)
     at org.eclipse.update.internal.configurator.ConfigurationActivator.initialize(ConfigurationActivator.java:110)
     at org.eclipse.update.internal.configurator.ConfigurationActivator.start(ConfigurationActivator.java:71)
     at org.eclipse.osgi.framework.internal.core.BundleContextImpl$1.run(BundleContextImpl.java:958)
     at java.security.AccessController.doPrivileged(Native Method)
     at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextImpl.java:954)
     at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleContextImpl.java:937)
     at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:421)
     at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:366)
     at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:999)
     at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:577)
     at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:488)
     at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:273)
     at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:444)
     at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:186)
     at org.eclipse.osgi.framework.eventmgr.EventThread.run(EventThread.java:104)

!ENTRY org.eclipse.osgi Oct 15, 2004 19:25:06.608
!MESSAGE Startup error
!STACK 1
java.lang.IllegalStateException: Bundle initial@reference:file:c:/Documents and Settings/Adam/Desktop/eclipseTest/eclipse/plugins/org.eclipse.update.configurator_3.0.0/ [2] is not active.
     at org.eclipse.core.runtime.adaptor.EclipseStarter.ensureBundlesActive(EclipseStarter.java:303)
     at org.eclipse.core.runtime.adaptor.EclipseStarter.startup(EclipseStarter.java:227)
     at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:127)
     at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
     at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
     at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
     at java.lang.reflect.Method.invoke(Method.java:585)
     at org.eclipse.core.launcher.Main.basicRun(Main.java:185)
     at org.eclipse.core.launcher.Main.run(Main.java:704)
     at org.eclipse.core.launcher.Main.main(Main.java:688)

Why is there a SAXException?
Again, how is this related?

BTW, thank you all for being patient with my frustration :-)
0
 
LVL 7

Expert Comment

by:bvanderveen
ID: 12321807
Possibly, the plugin overwrote a shared library with an incompatible call.   Probably some XML-based config.

Try doing what some others have suggested, and delete your config settings.  Then, this will be treated as a new instance, and this stuff will be recreated.  I had a similar problem - a new plug-in was installed, but wasnt' seen.  This is a known bug, and the solution was to delete the config files.

If that doesn't work, try reinstalling Eclipse, then the JDK.
0
 
LVL 24

Expert Comment

by:sciuriware
ID: 12322038
I can only say that ECLIPSE 3.1M2 runs fine with JAVA 5.0 on Windows98.

I found that many problems were solved in 3.1M2

;JOOP!
0
 
LVL 3

Expert Comment

by:aviadbd
ID: 12322886
sci brings up a good question - Are you trying to run the Eclipse 3.1 of any milestone with a JRE of 1.4.2 installed?

If so, you should install the JRE 5.0 beta..

0
How to improve team productivity

Quip adds documents, spreadsheets, and tasklists to your Slack experience
- Elevate ideas to Quip docs
- Share Quip docs in Slack
- Get notified of changes to your docs
- Available on iOS/Android/Desktop/Web
- Online/Offline

 
LVL 24

Expert Comment

by:sciuriware
ID: 12326239
No, the real JAVA 5.0 is available. Use that one!

;JOOP!
0
 
LVL 9

Author Comment

by:OBCT
ID: 12326404
I've tried all your suggestions so far.
Deleting the config settings didn't work. Still the same error.
I've been using Java 5.0 for a while and I've tried re-installing both the JDK and JRE.
The original Eclipse has been totally removed and....still the same error.
Any other suggestions?
0
 
LVL 24

Accepted Solution

by:
sciuriware earned 125 total points
ID: 12326717
I hope you did not INSTALL eclipse, you should just expand it in a convenient place.

If you re-install JAVA, first uninstall ALL versions and JRE's both with JDK's.

Then ONLY install the JDK.

For me that has been working for 3 years now, without any flaw, both on Windows and LINUX.

;JOOP!
0
 
LVL 3

Expert Comment

by:Gunt
ID: 12331248
Try starting eclipse with the argument -clean (eclipse.exe -clean).
Should clean up plugins mess (altough after all you tried, that will hardly work)
0
 
LVL 9

Author Comment

by:OBCT
ID: 12331469
Still the same error :-(
Could this plugin have changed anything in the registry or something that we can't see?
The problem can't be with Eclipse because I've re-installed (deleted then unzipped) god knows how many times and it doesn't seem to have made a difference.
The JDK and JRE have both been re-installed a couple times so unless something isn't being deleted, it couldn't be the problem either.
I've had a look through my "user.home" folder and I can't find anything that is obviously related to Eclipse.
I haven't tried the registry but I imagine it wouldn't have touched anything there because the code would be platform dependant.
I'm totally stumped.
0
 
LVL 21

Expert Comment

by:MogalManic
ID: 12332005
Looks like the plugin messed up "plugin.xml".  If you cannot see what is wrong with line 1, find the original from your eclipse download.
!MESSAGE Parsing error in "plugin.xml" [line 1, column 0]: "URI was not reported to parser for entity [document]".
!STACK 0

If plugin.xml is not too large, post its contents.
0
 
LVL 9

Author Comment

by:OBCT
ID: 12332439
From which plugin?
Currently, the only plugins in the plugin directory are the ones that come standard with Eclipse.
0
 
LVL 21

Expert Comment

by:MogalManic
ID: 12333322
Send us your plugin.xml and I'll compare it with mine.
0
 
LVL 1

Assisted Solution

by:Celdric
Celdric earned 125 total points
ID: 12335255
I had a similar problem, Eclipse was looking at oracles JDK and couldnt find some classes
thus, it wouldnt start. CHECK YOUR ENVIROMENTAL VARIABLES.

Be sure, the correct JDK is the first one mentioned in your Path and/or JAVA_HOME

If you dont have anything important in your machine, I would delete all JDKs installed
and install everything again and make sure everything is in place.

Your error is rare, and it happens if you have more than 1 copy of JDK in your machine
and Eclipses references to the JDK gets messed up.

Hope this helps.
0
 
LVL 9

Author Comment

by:OBCT
ID: 12366272
Well it turns out that the plugin was fine, however the same time I installed it was when I uninstalled j2se 1.4.2 so what I've done is re-install the 1.4.2 JRE now its all working fine.
Silly me :-p

Thank you all for your help.
0
 
LVL 24

Expert Comment

by:sciuriware
ID: 12367294
Could happen to everyone.
;JOOP!
0

Featured Post

Maximize Your Threat Intelligence Reporting

Reporting is one of the most important and least talked about aspects of a world-class threat intelligence program. Here’s how to do it right.

Join & Write a Comment

Suggested Solutions

INTRODUCTION Working with files is a moderately common task in Java.  For most projects hard coding the file names, using parameters in configuration files, or using command-line arguments is sufficient.   However, when your application has vi…
Java contains several comparison operators (e.g., <, <=, >, >=, ==, !=) that allow you to compare primitive values. However, these operators cannot be used to compare the contents of objects. Interface Comparable is used to allow objects of a cl…
Viewers learn about the “for” loop and how it works in Java. By comparing it to the while loop learned before, viewers can make the transition easily. You will learn about the formatting of the for loop as we write a program that prints even numbers…
Viewers will learn about if statements in Java and their use The if statement: The condition required to create an if statement: Variations of if statements: An example using if statements:

708 members asked questions and received personalized solutions in the past 7 days.

Join the community of 500,000 technology professionals and ask your questions.

Join & Ask a Question

Need Help in Real-Time?

Connect with top rated Experts

14 Experts available now in Live!

Get 1:1 Help Now